org.apache.poi.hslf.record

## Enum SlideAtomLayout.SlideLayoutType

- java.lang.Object
- - java.lang.Enum<SlideAtomLayout.SlideLayoutType>
  - - org.apache.poi.hslf.record.SlideAtomLayout.SlideLayoutType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SlideAtomLayout.SlideLayoutType>
  Enclosing class:
    SlideAtomLayout

      public static enum SlideAtomLayout.SlideLayoutType
      extends java.lang.Enum<SlideAtomLayout.SlideLayoutType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIG_OBJECT` Presentation slide layout with one body placeholder shape.
    `BLANK_SLIDE` Presentation slide layout with no placeholder shape.
    `COLUMN_TWO_ROWS` Presentation slide layout with one title and three body placeholder shapes split into two columns.
    `FOUR_OBJECTS` Presentation slide layout with one title and four body placeholder shapes.
    `HANDOUT` Only header, footer and date placeholders
    `MASTER_NOTES` ??? (not documented in spec)
    `MASTER_SLIDE` ??? (not documented in spec)
    `MASTER_TITLE` Title master slide layout with one title and one subtitle placeholder shape.
    `NOTES_TITLE_BODY` ??? (not documented in spec)
    `TITLE_2_ROW_BOTTOM_2_COLUMN_BODY` ??? (not documented in spec)
    `TITLE_BODY` Presentation slide or main master slide layout with one title and one body placeholder shape.
    `TITLE_ONLY` Presentation slide layout with one title placeholder shape.
    `TITLE_SLIDE` One title and one subtitle placeholder shapes.
    `TWO_COLUMNS` Presentation slide layout with one title and two body placeholder shapes stacked horizontally.
    `TWO_COLUMNS_ROW` Presentation slide layout with one title and three body placeholder shapes split into two rows.
    `TWO_ROWS` Presentation slide layout with one title and two body placeholder shapes stacked vertically.
    `TWO_ROWS_COLUMN` Presentation slide layout with one title and three body placeholder shapes split into two columns.
    `VERTICAL_TITLE_BODY` Presentation slide layout with a vertical title placeholder shape on the right and a body placeholder shape on the left.
    `VERTICAL_TWO_ROWS` Presentation slide layout with a vertical title placeholder shape on the right and two body placeholder shapes in two columns on the left.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SlideAtomLayout.SlideLayoutType` | `forNativeID(int nativeId)`
    `int` | `getNativeId()`
    `static SlideAtomLayout.SlideLayoutType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SlideAtomLayout.SlideLayoutType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TITLE_SLIDE

          public static final SlideAtomLayout.SlideLayoutType TITLE_SLIDE

      One title and one subtitle placeholder shapes.

    - #### TITLE_BODY

          public static final SlideAtomLayout.SlideLayoutType TITLE_BODY

      Presentation slide or main master slide layout with one title and one body placeholder shape.

    - #### MASTER_TITLE

          public static final SlideAtomLayout.SlideLayoutType MASTER_TITLE

      Title master slide layout with one title and one subtitle placeholder shape.

    - #### MASTER_SLIDE

          public static final SlideAtomLayout.SlideLayoutType MASTER_SLIDE

      ??? (not documented in spec)

    - #### MASTER_NOTES

          public static final SlideAtomLayout.SlideLayoutType MASTER_NOTES

      ??? (not documented in spec)

    - #### NOTES_TITLE_BODY

          public static final SlideAtomLayout.SlideLayoutType NOTES_TITLE_BODY

      ??? (not documented in spec)

    - #### HANDOUT

          public static final SlideAtomLayout.SlideLayoutType HANDOUT

      Only header, footer and date placeholders

    - #### TITLE_ONLY

          public static final SlideAtomLayout.SlideLayoutType TITLE_ONLY

      Presentation slide layout with one title placeholder shape.

    - #### TWO_COLUMNS

          public static final SlideAtomLayout.SlideLayoutType TWO_COLUMNS

      Presentation slide layout with one title and two body placeholder shapes stacked horizontally.

    - #### TWO_ROWS

          public static final SlideAtomLayout.SlideLayoutType TWO_ROWS

      Presentation slide layout with one title and two body placeholder shapes stacked vertically.

    - #### COLUMN_TWO_ROWS

          public static final SlideAtomLayout.SlideLayoutType COLUMN_TWO_ROWS

      Presentation slide layout with one title and three body placeholder shapes split into two columns. The right column has two rows.

    - #### TWO_ROWS_COLUMN

          public static final SlideAtomLayout.SlideLayoutType TWO_ROWS_COLUMN

      Presentation slide layout with one title and three body placeholder shapes split into two columns. The left column has two rows.

    - #### TITLE_2_ROW_BOTTOM_2_COLUMN_BODY

          public static final SlideAtomLayout.SlideLayoutType TITLE_2_ROW_BOTTOM_2_COLUMN_BODY

      ??? (not documented in spec)

    - #### TWO_COLUMNS_ROW

          public static final SlideAtomLayout.SlideLayoutType TWO_COLUMNS_ROW

      Presentation slide layout with one title and three body placeholder shapes split into two rows. The top row has two columns.

    - #### FOUR_OBJECTS

          public static final SlideAtomLayout.SlideLayoutType FOUR_OBJECTS

      Presentation slide layout with one title and four body placeholder shapes.

    - #### BIG_OBJECT

          public static final SlideAtomLayout.SlideLayoutType BIG_OBJECT

      Presentation slide layout with one body placeholder shape.

    - #### BLANK_SLIDE

          public static final SlideAtomLayout.SlideLayoutType BLANK_SLIDE

      Presentation slide layout with no placeholder shape.

    - #### VERTICAL_TITLE_BODY

          public static final SlideAtomLayout.SlideLayoutType VERTICAL_TITLE_BODY

      Presentation slide layout with a vertical title placeholder shape on the right and a body placeholder shape on the left.

    - #### VERTICAL_TWO_ROWS

          public static final SlideAtomLayout.SlideLayoutType VERTICAL_TWO_ROWS

      Presentation slide layout with a vertical title placeholder shape on the right and two body placeholder shapes in two columns on the left.

  - ### Method Detail

    - #### values

          public static SlideAtomLayout.SlideLayoutType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SlideAtomLayout.SlideLayoutType c : SlideAtomLayout.SlideLayoutType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SlideAtomLayout.SlideLayoutType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNativeId

          public int getNativeId()

    - #### forNativeID

          public static SlideAtomLayout.SlideLayoutType forNativeID(int nativeId)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.